Package com.smartgwt.client.types

# Enum ListGridEditEvent

java.lang.Object
java.lang.Enum<ListGridEditEvent>
com.smartgwt.client.types.ListGridEditEvent

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ListGridEditEvent>`, `Constable`

public enum ListGridEditEvent extends Enum<ListGridEditEvent> implements ValueEnum
Event that will trigger inline editing.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLICK`
  A single mouse click triggers inline editing
  `DOUBLECLICK`
  A double click triggers inline editing
  `NONE`
  No mouse event will trigger editing.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ListGridEditEvent`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ListGridEditEvent[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLICK

    public static final ListGridEditEvent CLICK
    A single mouse click triggers inline editing

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "click".

  - ### DOUBLECLICK

    public static final ListGridEditEvent DOUBLECLICK
    A double click triggers inline editing

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "doubleClick".

  - ### NONE

    public static final ListGridEditEvent NONE
    No mouse event will trigger editing. Editing must be programmatically started via `ListGrid.startEditing()` (perhaps from an external button) or may be triggered by keyboard navigation if `ListGrid.editOnFocus` is set.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

- ## Method Details

  - ### values

    public static ListGridEditEvent[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ListGridEditEvent valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`